Subject: bug#30504: bug tail -2 FILE1 FILE1 - tail: option used in invalid context -- 2

From: Mike Brescia <[email-masked]>
Date: Sat, 17 Feb 2018 15:57:14 -0500

<oops update after typing paragraphs below>
searching archive with "invalid context" gets to "bug#8231: Bug in the linux command: tail"
I read the exchanges from 2011 and see where it went, but gripe that now I have to type extra characters to invoke it.
Perhaps I should fear that "head" will eventually be "broken" also.
</oops>

Attempting to use tail to get some number of lines other than default 10 on more than one file returns with error message "tail: option used in invalid context -- 2" or whatever N was used as arg.

head -N works fine

"aptitude" distribution on debian/linux --

$ tail --version
tail (GNU coreutils) 8.26

$ uname -a
Linux xymon-insp 4.9.0-5-amd64 #1 SMP Debian 4.9.65-3+deb9u2 (2018-01-04) x86_64 GNU/Linux

"homebrew" distribution on macos --

$ gtail --version
tail (GNU coreutils) 8.29

$ uname -a
Darwin DanteB.local 16.7.0 Darwin Kernel Version 16.7.0: Thu Jan 11 22:59:40 PST 2018; root:xnu-3789.73.8~1/RELEASE_X86_64 x86_64

I did check the FAQ, and tried the bug-mailing archive ( see <oops> above ). I think that the difference between "head" and "tail" operation with "-N" usage points to a bug in tail.

 -- Mike